Subject: Re: FVWM: keys...

From: Dominik Vogt <[email-masked]>
Date: Mon, 2 Sep 2002 10:53:03 +0200

On Thu, Aug 29, 2002 at 01:59:49PM -0400, Thomas Gardiner wrote:
> 
> Sorry for inundating you folks, but this is a funny thing.
> 
> One more observation:
> 
> After going to slide-show view and returning, the main Open Office window
> has focus.  However, there are "sub-windows" which only exist within the
> Open Office main window, but do not have focus.  By simply moving my mouse
> to the border or title bar of the window focus is restored for all windows.
> 
> Oh, sorry I forgot to mention...  My key bindings for switching pages
> return as soon as my mouse touches the border or title bar of the main
> open office window.
> 
> So, this problem does appear to be connected to focus somehow.

It's just triggered by similar circumstances.  I bet OpenOffice
has grabbed the key combinations over its window and somehow
manages to override fvwm's global grab.  As soon as the pointer
leaves the client window, the fvwm grabs become 'active' again.

I don't have the time to debug that right now, but it's certainly
on my to do list.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, mail: [email-masked], phone: 0721/91374-382
Schlund + Partner AG, Erbprinzenstr. 4-12, D-76133 Karlsruhe
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].